net.i2p.router.update

## Class NewsHandler

- java.lang.Object
- - net.i2p.router.update.UpdateHandler
  - - net.i2p.router.update.NewsHandler

- All Implemented Interfaces:
    Checker, Updater

      public class NewsHandler
      extends UpdateHandler
      implements Checker

  Task to periodically look for updates to the news.xml, and to keep track of whether that has an announcement for a new version. Overrides UpdateRunner for convenience, this is not an Updater

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.update.UpdateHandler

      `_context, _mgr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsHandler(RouterContext ctx, ConsoleUpdateManager mgr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateTask` | `check(UpdateType type, UpdateMethod method, String id, String currentVersion, long maxTime)` This will check for news or router updates (it does the same thing).
    `static void` | `main(String[] args)` CLI fetch

    - ### Methods inherited from class net.i2p.router.update.UpdateHandler

      `update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsHandler

          public NewsHandler(RouterContext ctx,
                             ConsoleUpdateManager mgr)

  - ### Method Detail

    - #### check

          public UpdateTask check(UpdateType type,
                                  UpdateMethod method,
                                  String id,
                                  String currentVersion,
                                  long maxTime)

      This will check for news or router updates (it does the same thing). Should not block.
      Specified by:
        `check` in interface `Checker`
      Parameters:
        `currentVersion` - ignored, stored locally
        `type` - update type
        `method` - update method
        `id` - plugin name or ignored
        `maxTime` - how long you have
      Returns:
        active task or null if unable to check

    - #### main

          public static void main(String[] args)

      CLI fetch